local SNIPER_PROJECTILE = 'Proj_B_Longshot.lvl'
local PISTOL_PROJECTILE = 'proj_B_Rifleman.lvl'
local SNIPER_IMPACT = 'imp_B_Longshot.part'
local PISTOL_IMPACT = 'imp_B_rifleman.part'
local PISTOL_ATTACK_ACTIVE_KEY = 'pistolAttackActiveKey'


B_Longshot_air_bullet_spawnTrigger = function(entity)
    local bulletSource = objc.get_entity_value_for_key(entity, ENTITY_VALUE_KEY_SOURCE_ENTITY)
    if objc.get_local_value(bulletSource, PISTOL_ATTACK_ACTIVE_KEY) == 1 then
        objc.update_asset_name(entity, PISTOL_PROJECTILE)
        objc.set_entity_value_for_key(entity, ENTITY_VALUE_KEY_IMPACT_PARTICLE_NAME, PISTOL_IMPACT)
    else
        objc.update_asset_name(entity, SNIPER_PROJECTILE)
        objc.set_entity_value_for_key(entity, ENTITY_VALUE_KEY_IMPACT_PARTICLE_NAME, SNIPER_IMPACT)
    end
end