local HAS_INIT = 'hasInitKey'
local SPAWN_ANIMATION_STATE = 'spawnNashAbility1'
local IDLE_ANIMATION_STATE = 'idleAnimationName'
local SWAP_IDLE_ANIMATION_COUNT = 10

B_ReinforcementsSpawn_spawnTrigger = function(entity)
    objc.idle_entity(entity, 600)
end

B_ReinforcementsSpawn_tickTrigger = function(entity)
    local swapTimer = objc.tick_timer(entity, 'swapTimerKey', SWAP_IDLE_ANIMATION_COUNT)
    if swapTimer == 0 then
        local updatedAnimations = {}
        updatedAnimations[ANIMATION_STATE_IDLE] = IDLE_ANIMATION_STATE
        objc.update_animation_state(entity, updatedAnimations)
    end
end