--[[
Lets any entity to walk through this unit (sets is_solid to no) if it is next to two boundaries.
]]--
function BuildingAbility_setNotSolidIfNextToTwoBoundaries(entity)
    local touchingBoundariesCount = objc.number_of_edges_adjacent_to_boundary(entity)

    if touchingBoundariesCount >= 2 then
        objc.set_solid(entity, false)
    end
end