precision mediump float;

uniform sampler2D u_texture;

varying vec2 v_texCoord;
varying vec2 v_blurTexCoords[7];
varying vec4 v_fragmentColor;

void main() {
    vec4 color = texture2D(u_texture, v_blurTexCoords[0]) * 0.129001;
    color += texture2D(u_texture, v_blurTexCoords[1])     * 0.142521;
    color += texture2D(u_texture, v_blurTexCoords[2])     * 0.151303;
    color += texture2D(u_texture, v_blurTexCoords[3])     * 0.15435;
    color += texture2D(u_texture, v_blurTexCoords[4])     * 0.151303;
    color += texture2D(u_texture, v_blurTexCoords[5])     * 0.142521;
    color += texture2D(u_texture, v_blurTexCoords[6])     * 0.129001;
    gl_FragColor = color;
}
