precision mediump float;

uniform sampler2D u_texture;
uniform vec3 grayscaleColorMultiplier;

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

void main() {
    vec4 color = texture2D(u_texture, v_texCoord);
    gl_FragColor.rgb = vec3(dot(grayscaleColorMultiplier, color.rgb));
    gl_FragColor.a = color.a;
}
