HallucinatedTitan = function(sourceEntity, targetPositionX, targetPositionY)
   	teamNumber = objc.get_team_number(sourceEntity)
   	castOnOwnSide = isOnOwnSide(teamNumber, targetPositionX)
      local playerNumber = objc.get_player_number(sourceEntity)

      if castOnOwnSide == 1 then
         objc.spawn_at_point('bigHallucinatedTitanUnit', 1, playerNumber, targetPositionX, targetPositionY, 0, 0)
      else
         objc.spawn_at_point('smallHallucinatedTitanUnit', 1, playerNumber, targetPositionX, targetPositionY, 0, 0)
      end

end


function isOnOwnSide(teamNumber, positionX)
   if teamNumber == 1 then
      if positionX >= 0 then
         return 0
      else
         return 1
      end
   elseif teamNumber == 2 then
      if positionX <= 0 then
         return 0
      else
         return 1
      end
   else
      objc.scripting_error('Encountered unknown player number ' .. teamNumber)
   end

end
