local IS_PLAYING_ANIMATION = 'isPlayingAnimationKey'
local ATTACK_ANIMATION_NAME_A = 'firstAttackAnimationName'
local ATTACK_ANIMATION_NAME_B = 'secondAttackAnimationName'
local FRAMES_IN_ATTACK_ANIMATION = 31
local ANIMATION_TIMING_TRIGGER = 'R_AAMissile_timeAnimationTrigger'
local IS_ANIMATION_A = 'isAnimationAKey'

R_AAMissile_onAttackTrigger = function(sourceEntity, targetEntity)
    local updatedAnimations = {}
    local isAnimationA = objc.get_local_value(sourceEntity, IS_ANIMATION_A)
    if isAnimationA == 0 then
        updatedAnimations[ANIMATION_STATE_ATTACK_AIR] = ATTACK_ANIMATION_NAME_A
        objc.set_local_value(sourceEntity, IS_ANIMATION_A, 1)
    else
        updatedAnimations[ANIMATION_STATE_ATTACK_AIR] = ATTACK_ANIMATION_NAME_B
        objc.set_local_value(sourceEntity, IS_ANIMATION_A, 0)
    end
    objc.update_animation_state(sourceEntity, updatedAnimations)
end