local DAMAGE_KEY = 'damageAmountKey'
local RADIUS_KEY = 'radiusKey'
local TIMER_KEY = 'timerKey'
local TARGET_AIR_KEY = 'targetAirKey'
local TARGET_GROUND_KEY = 'targetGroundKey'

R_NukeTruck_onAttackTrigger = function(sourceEntity, targetEntity)
    objc.sacrifice_entity(sourceEntity)
end

R_NukeTruck_deathTrigger = function(entity)
    local delayEntity = objc.spawn_at_entity('Generic_ExplosionDelayScriptEntity', 1, entity)
    local damageAmount = objc.get_entity_value_for_key(entity, ENTITY_VALUE_KEY_ATTACK_DAMAGE)
    objc.set_local_value(delayEntity[1], DAMAGE_KEY, damageAmount)
    local radius = objc.get_entity_value_for_key(entity, ENTITY_VALUE_KEY_SPELL_RADIUS)
    objc.set_local_value(delayEntity[1], RADIUS_KEY, radius)
    objc.set_local_value(delayEntity[1], TIMER_KEY, 5)
    objc.set_local_value(delayEntity[1], TARGET_AIR_KEY, 1)
    objc.set_local_value(delayEntity[1], TARGET_GROUND_KEY, 1)
end

R_NukeTruck_damageTrigger = function(damage, targetEntity, sourceEntity)
    return 0
end




