local DAMAGE_KEY = 'damageAmountKey'
local RADIUS_KEY = 'radiusKey'


R_Zeppelin_ExplosionDelayScriptEntity_tickTrigger = function(entity)
    local timer = objc.tick_timer(entity, 'timer', 27)

    if timer == 0 then
        local enemyNumber = objc.get_enemy_team_number(entity)
        local damageAmount = objc.get_local_value(entity, DAMAGE_KEY)
        local radius = objc.get_local_value(entity, RADIUS_KEY)
        for _, enemy in pairs(objc.list_entities_in_radius(entity, radius, enemyNumber)) do
            if objc.is_air_unit(enemy) == false then
                objc.inflict_normal_damage(entity, enemy, damageAmount)
            end
        end
        objc.sacrifice_entity(entity)
    end
end
