ReflectionsOld = function(sourceEntity)
   teamNumber = objc.get_team_number(sourceEntity)
   local playerNumber = objc.get_player_number(sourceEntity)
   enemyNumber = objc.get_enemy_team_number(sourceEntity)
   listOfEnemies = objc.list_entities(enemyNumber)
   listOfAllies = objc.list_entities(teamNumber)
   timesAbilityHasBeenUsed = objc.get_local_value(sourceEntity, 'timesUsed')

   mostCommonUnit = 'empty'
   mostCommonUnitCount = 0

   for _, enemy in pairs(listOfEnemies) do
      if objc.is_normal_unit(enemy) then
         local currentUnitCount = objc.get_local_value(sourceEntity, objc.get_entity_value(enemy, 'identityComponent.identifier') .. tostring(timesAbilityHasBeenUsed))
         currentUnitCount = currentUnitCount + 1
         objc.set_local_value(sourceEntity, objc.get_entity_value(enemy, 'identityComponent.identifier') .. tostring(timesAbilityHasBeenUsed), currentUnitCount)
         if currentUnitCount > mostCommonUnitCount then
            mostCommonUnit = enemy
            mostCommonUnitCount = currentUnitCount
         end
         --objc.set_combat_text(enemy, 'We got this far')
      end
   end


   for _, ally in pairs(listOfAllies) do
      if objc.is_normal_unit(ally) then
         local currentUnitCount = objc.get_local_value(sourceEntity, objc.get_entity_value(ally, 'identityComponent.identifier') .. tostring(timesAbilityHasBeenUsed))
         currentUnitCount = currentUnitCount + 1
         objc.set_local_value(sourceEntity, objc.get_entity_value(ally, 'identityComponent.identifier') .. tostring(timesAbilityHasBeenUsed), currentUnitCount)
         if currentUnitCount > mostCommonUnitCount then
            mostCommonUnit = ally
            mostCommonUnitCount = currentUnitCount
         end
         --objc.set_combat_text(enemy, 'We got this far')
      end
   end



   if mostCommonUnit ~= 'empty' then
      local spawnQuantity = 4
      if objc.get_team_number(mostCommonUnit) == teamNumber then
         spawnQuantity = spawnQuantity * 1.5
      end
      spawnIdentifier = objc.get_entity_value(mostCommonUnit, 'identityComponent.identifier')
      objc.spawn(spawnIdentifier, spawnQuantity, playerNumber)
   end

   timesAbilityHasBeenUsed = timesAbilityHasBeenUsed + 1
   objc.set_local_value(sourceEntity, 'timesUsed', timesAbilityHasBeenUsed)
end

