local SUMO_KEY = 'originatingSumoEntity'
local DAMAGE_AMOUNT_KEY = 'damageAmountKey'
local MAIN_TARGET_KEY = 'mainSumoTargetKey'
local IMPACT_DAMAGE = 60

SumoTargetEffectEntity_deathTrigger = function(entity)
    local playerNumber = objc.get_player_number(entity)
	local spawnPositionX = objc.get_local_value(entity, 'craterSpawnPosition')
	local entityPosition = objc.get_entity_position(entity)
	local craterEntityArray = objc.spawn_at_point('SumoCraterEffectEntity', 1, playerNumber, spawnPositionX, entityPosition[2], 0, 0)
    local sumo = objc.get_local_value(entity, SUMO_KEY)
    if sumo ~= 0 then
        local target = objc.get_local_value(entity, MAIN_TARGET_KEY)
        local damageToDo = objc.get_entity_value_for_key(sumo, ENTITY_VALUE_KEY_ATTACK_DAMAGE)

        objc.inflict_normal_damage(sumo, target, damageToDo)
        objc.flash_entity_for_damage(target, 250)
    end
end
