local GAME_HAS_INIT = 'gameHasInit'
local UNIT_LUA = 'W0Tutorial.lua'


W0Tutorial_tickTrigger = function(entity)
    local HasInit = objc.get_local_value(entity, GAME_HAS_INIT)
    if HasInit == 0 then
        local team1Entities = objc.list_entities(1)
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team1Entities) do
            if objc.is_barricade(unit) then
                objc.kill_entity(unit)
            end
        end
        for _,unit in pairs(team2Entities) do
            if objc.is_barricade(unit) then
                objc.kill_entity(unit)
            end
        end
    end
end