local DESTROY_BARRICADE_INIT = 'destroyBarricadeInit'

W1CampaignKillEnemyBarrier_tickTrigger = function(entity)
    local destroyBarricadeInit = objc.get_local_value(entity, DESTROY_BARRICADE_INIT)
    if destroyBarricadeInit == 0 then
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team2Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'B_Barricade' then
                objc.remove_trigger(unit, TRIGGER_NAME_DEATH_TRIGGER, 'B_Barricade_deathTrigger')
                objc.kill_entity(unit)
                objc.set_local_value(entity, DESTROY_BARRICADE_INIT, 1)
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'W_Barricade' then
                objc.remove_trigger(unit, TRIGGER_NAME_DEATH_TRIGGER, 'W_Barricade_deathTrigger')
                objc.kill_entity(unit)
                objc.set_local_value(entity, DESTROY_BARRICADE_INIT, 1)
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'R_Barricade' then
                objc.remove_trigger(unit, TRIGGER_NAME_DEATH_TRIGGER, 'R_Barricade_deathTrigger')
                objc.kill_entity(unit)
                objc.set_local_value(entity, DESTROY_BARRICADE_INIT, 1)
            end
        end
    end
end
