local HAS_INIT = 'hasInit'

W1MasaMura_tickTrigger = function(entity)
    local HasInit = objc.get_local_value(entity, HAS_INIT)
    if HasInit == 0 then
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team2Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'W_Swordsman' then
                local newMaxHP = objc.divide_with_ceiling(4 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH), 5)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                objc.set_local_value(entity, HAS_INIT, 1)
            end
        end
    end
end
