local GAME_HAS_INIT = 'gameHasInit'

local ORIGINAL_VELOCITY_KEY1 = 'originalVelocityKey1'

local UNIT_LUA = 'W2CampaignPancake.lua'


W2CampaignPancake_tickTrigger = function(entity)
    local HasInit = objc.get_local_value(entity, GAME_HAS_INIT)
    local waitTime = objc.get_elapsed_game_time_in_seconds()
    if HasInit == 0 then
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team2Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'R_Steamroller7' then
                objc.set_local_value(unit, ORIGINAL_VELOCITY_KEY1, objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_VELOCITY))
                objc.set_entity_scale_percentage(unit, 150)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_ARMOR, 10)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, 2000)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, 2000)
                objc.add_trigger(unit, TRIGGER_NAME_TICK_TRIGGER, UNIT_LUA, 'Unit_MobilizeTrigger')
                if waitTime > 2 then
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_VELOCITY, 0)
                    objc.set_local_value(entity, GAME_HAS_INIT, 1)
                end
            end
        end
    end
end

Unit_MobilizeTrigger = function(entity)
    local waitTime = objc.get_elapsed_game_time_in_seconds()
    if waitTime > 18 then
        objc.set_entity_value_for_key(entity, ENTITY_VALUE_KEY_MAX_VELOCITY, objc.get_local_value(entity, ORIGINAL_VELOCITY_KEY1))
    end
end