local HAS_INIT = 'hasInit'

local CHECK_TICK = 10
local CHECK_KEY = 'checkKey'

local ORIGINAL_VELOCITY_KEY = 'originalVelocityKey'

local UNIT_LUA = 'W3CampaignDogBoss.lua'

W3CampaignDogBoss_tickTrigger = function(entity)
    local HasInit = objc.get_local_value(entity, HAS_INIT)
    if HasInit == 0 then
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team2Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'B_K9'
                    or objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'B_Rail_Dog'
                    or objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'B_BearMech' then
                objc.set_entity_scale_percentage(unit, 110)
                objc.set_local_value(unit, ORIGINAL_VELOCITY_KEY, objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_VELOCITY))
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_VELOCITY, 0)
                objc.add_trigger(unit, TRIGGER_NAME_ON_DAMAGE_TRIGGER, UNIT_LUA, 'Dogs_onDamageTrigger')
                objc.set_local_value(entity, HAS_INIT, 1)
            end
        end
    end
end

Dogs_onDamageTrigger = function(damage, targetEntity, sourceEntity)
    objc.set_entity_value_for_key(targetEntity, ENTITY_VALUE_KEY_MAX_VELOCITY, objc.get_local_value(targetEntity, ORIGINAL_VELOCITY_KEY))
    return damage
end
