local HAS_INIT = 'speedInit'

local CHECK_TICK = 10
local CHECK_KEY = 'checkKey'

W3CampaignNukeTruckBoss_tickTrigger = function(entity)
    local checkTimer = objc.tick_timer(entity, CHECK_KEY, CHECK_TICK)
    if checkTimer == 0 then
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team2Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'R_NukeTruck'then
                if objc.get_local_value(unit, HAS_INIT) == 0 then
                    objc.set_entity_scale_percentage(unit, 150)
                    local maxSpeed = objc.divide_with_ceiling(objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_VELOCITY), 2)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_VELOCITY, maxSpeed)
                    objc.set_local_value(unit, HAS_INIT, 1)
                end
            end
        end
    end
end