local HAS_INIT = 'sumoInit'

local CHECK_TICK = 10
local CHECK_KEY = 'checkKey'

W3CampaignSumoBoss_tickTrigger = function(entity)
    local checkTimer = objc.tick_timer(entity, CHECK_KEY, CHECK_TICK)
    if checkTimer == 0 then
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team2Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'W_Sumo7' then
                if objc.get_local_value(unit, HAS_INIT) == 0 then
                    objc.set_entity_scale_percentage(unit, 200)
                    local newMaxHP = 3 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                    local damageDebuff = objc.divide_with_ceiling(3 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_ATTACK_DAMAGE), 4)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_DAMAGE_BUFF, -1 * damageDebuff)
                    objc.set_local_value(unit, HAS_INIT, 1)
                end
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'W_Sumo4' then
                if objc.get_local_value(unit, HAS_INIT) == 0 then
                    objc.set_entity_scale_percentage(unit, 120)
                    local newMaxHP = objc.divide_with_ceiling(3 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH), 2)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                    local damageDebuff = objc.divide_with_ceiling(3 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_ATTACK_DAMAGE), 4)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_DAMAGE_BUFF, -1 * damageDebuff)
                    objc.set_local_value(unit, HAS_INIT, 1)
                end
            end
        end
        local team1Entities = objc.list_entities(1)
        for _,unit in pairs(team1Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'W_Sumo' then
                if objc.get_local_value(unit, HAS_INIT) == 0 then
                    objc.set_entity_scale_percentage(unit, 120)
                    local newMaxHP = 2 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_ARMOR, 200)
                    local damageDebuff = objc.divide_with_ceiling(objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_ATTACK_DAMAGE), 2)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_DAMAGE_BUFF, -1 * damageDebuff)
                    objc.set_local_value(unit, HAS_INIT, 1)
                end
            end
        end
    end
end