local HAS_INIT = 'hasInit'

local CHECK_TICK = 10
local CHECK_KEY = 'checkKey'

W3CampaignValBoss_tickTrigger = function(entity)
    local HasInit = objc.get_local_value(entity, HAS_INIT)
    if HasInit == 0 then
        local barricade = objc.spawn_at_point('R_Barricade', 1, 2, 1200, 0, -1, 0)
        objc.remove_trigger(barricade[1], TRIGGER_NAME_DEATH_TRIGGER, 'R_Barricade_deathTrigger')
        local newMaxHP = objc.divide_with_ceiling(objc.get_entity_value_for_key(barricade[1], ENTITY_VALUE_KEY_MAX_HEALTH), 2)
        objc.set_entity_value_for_key(barricade[1], ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
        objc.set_entity_value_for_key(barricade[1], ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)

        local turret = objc.spawn_at_point('R_ValsTurret9', 1, 2, 6400, 0, -1, 0)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_MAX_VELOCITY, 0)
        objc.remove_trigger(turret[1], TRIGGER_NAME_TICK_TRIGGER, 'R_ValsTurret_tickTrigger')
        objc.set_entity_scale_percentage(turret[1], 130)
        local newMaxHP = 3 * objc.get_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_MAX_HEALTH)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_ARMOR, 50)
        local damageDebuff = objc.divide_with_ceiling(objc.get_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_ATTACK_DAMAGE), 3)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_DAMAGE_BUFF, -1 * damageDebuff)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_ATTACK_RANGE, 8000)

        turret = objc.spawn_at_point('R_ValsTurret3', 1, 2, 5800, 800, -1, 0)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_MAX_VELOCITY, 0)
        objc.remove_trigger(turret[1], TRIGGER_NAME_TICK_TRIGGER, 'R_ValsTurret_tickTrigger')
        objc.set_entity_scale_percentage(turret[1], 100)
        local newMaxHP = 3 * objc.get_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_MAX_HEALTH)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
        local damageDebuff = objc.divide_with_ceiling(objc.get_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_ATTACK_DAMAGE), 2)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_DAMAGE_BUFF, -1 * damageDebuff)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_ATTACK_RANGE, 6000)

        turret = objc.spawn_at_point('R_ValsTurret3', 1, 2, 5800, -800, -1, 0)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_MAX_VELOCITY, 0)
        objc.remove_trigger(turret[1], TRIGGER_NAME_TICK_TRIGGER, 'R_ValsTurret_tickTrigger')
        objc.set_entity_scale_percentage(turret[1], 100)
        local newMaxHP = 3 * objc.get_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_MAX_HEALTH)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
        local damageDebuff = objc.divide_with_ceiling(objc.get_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_ATTACK_DAMAGE), 2)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_DAMAGE_BUFF, -1 * damageDebuff)
        objc.set_entity_value_for_key(turret[1], ENTITY_VALUE_KEY_ATTACK_RANGE, 6000)

        objc.set_local_value(entity, HAS_INIT, 1)
    end
end