local SHIELD_NODE = 'VFX_Shield'
local NORMAL_SHIELD = 'idle_W_EternalWarrior_Shield_Melee.lvl'
local WAIT_TIMER_KEY = 'waitTimerKey'
local WAIT_TIME = 1
local HAS_INIT = 'hasInitKey'

W_EternalWarriorCampaign_tickTrigger = function(entity)
    local hasInit = objc.get_local_value(entity, HAS_INIT)
    if hasInit == 0 then
        --It's unclear why I have to wait 2 rounds for this to work now, but trying to do it
        --the first round throws an error trying to attach VFX to an entity of class <null>
        local waitTime = objc.tick_timer(entity, WAIT_TIMER_KEY, WAIT_TIME)
        if waitTime == 0 then
            objc.play_vfx(entity, NORMAL_SHIELD, SHIELD_NODE)
            objc.set_local_value(entity, HAS_INIT, 1)
        end
    end
end