local SLOW_SHADER_NAME = 'skinned_toon_freeze'
local IMMOBILIZE_TIME = 3000 --In subrounds. There are 1000 subrounds in a second
local PULLED_UNIT = 'pulledUnit' 
local OFFSET = 1500

W_Grappler_onAttackTrigger = function(sourceEntity, targetEntity)
	local directionX = 1
	if objc.get_enemy_team_number(targetEntity) == 2 then
		directionX = -1
	end
	if objc.get_local_value(sourceEntity, PULLED_UNIT) ~= objc.get_entity_value_for_key(targetEntity, ENTITY_VALUE_KEY_DESCRIPTION) and objc.is_normal_unit(targetEntity) then
		objc.set_local_value(sourceEntity, PULLED_UNIT, objc.get_entity_value_for_key(targetEntity, ENTITY_VALUE_KEY_DESCRIPTION))
		local unitPosition = objc.get_entity_position(sourceEntity)
		objc.move_entity(targetEntity, unitPosition[1] + OFFSET * directionX, unitPosition[2])
		objc.stun_entity(targetEntity, IMMOBILIZE_TIME)
	end
end
