local CRYSTAL_GAIN = 1
local CRYSTAL_GAIN_THRESHOLD = 2
local CRYSTAL_GAIN_ATTACKS_KEY = 'crytalGainAttacksKey'
local GAIN_EFFECT = 'crystalGainEffect.lvl'

W_IncomeGenerator_onAttackTrigger = function(sourceEntity, targetEntity)
	local numAttacks = objc.get_local_value(sourceEntity, CRYSTAL_GAIN_ATTACKS_KEY)
	if (numAttacks + 1) >= CRYSTAL_GAIN_THRESHOLD then
		local teamNumber = objc.get_team_number(sourceEntity)
		objc.add_crystal(teamNumber, CRYSTAL_GAIN)
		objc.play_vfx(sourceEntity, GAIN_EFFECT, NODE_ORIGIN)
		objc.set_local_value(sourceEntity, CRYSTAL_GAIN_ATTACKS_KEY, 0)
	else
		objc.set_local_value(sourceEntity, CRYSTAL_GAIN_ATTACKS_KEY, numAttacks + 1)
	end
end
