local WORK_ANIMATION_NAME_KEY = 'attackAnimationNameKey'
local CRYSTAL_DOWN_WORK_ANIMATION_NAME_KEY = 'crystalDownWorkAnimKey'
local CRYSTAL_DOWN_MOVE_ANIM_NAME_KEY = 'crystalDownMoveAnimKey'
local MOVE_ANIM_NAME_KEY = 'moveAnimKey'
local SPAWN_ANIM_NAME = 'spawnAnimNameKey'
local PLATFORM_ID_KEY = 'platformEntityKey'

local PLATFORM_ENTITY_ID = 'W_PowerPlant'

W_Miner_spawnTrigger = function(entity)
    objc.load_lua_dependencies({'CrystalWorker.lua'})
    objc.set_local_value(entity, WORK_ANIMATION_NAME_KEY, 'W_Builder_Battle_Crystal_Drop_01')
    objc.set_local_value(entity, CRYSTAL_DOWN_WORK_ANIMATION_NAME_KEY, 'W_Builder_Battle_Work_CrystalDown_01')
    objc.set_local_value(entity, CRYSTAL_DOWN_MOVE_ANIM_NAME_KEY, 'moveCrystalDown')
    objc.set_local_value(entity, MOVE_ANIM_NAME_KEY, 'moveAnimationName')
    objc.set_local_value(entity, SPAWN_ANIM_NAME, 'W_Builder_Battle_Spawn_01')
    objc.set_local_value(entity, PLATFORM_ID_KEY, PLATFORM_ENTITY_ID)
    CrystalWorker_spawnTrigger(entity)
end

W_Miner_tickTrigger = function(entity)
    CrystalWorker_tickTrigger(entity)
end

W_Miner_onOverrideTargetingCompletionTrigger = function(sourceEntity, targetEntity, targetingFailed)
    CrystalWorker_onOverrideTargetingCompletionTrigger(sourceEntity, targetEntity)
end

W_Miner_onDamageTrigger = function(damage, targetEntity, sourceEntity)
    return CrystalWorker_onDamageTrigger(damage, targetEntity, sourceEntity)
end

W_Miner_deathTrigger = function(entity)
    CrystalWorker_deathTrigger(entity)
end
