#define SUPPORT_GLSL300
#include "prefix_tow.sh"

#if __VERSION__ >= 300
    layout(location = 0) out vec4 primaryOutput;
    #define gl_FragColor primaryOutput
#endif

#if defined(GL_ES)
    precision highp float;
#endif

// uniforms
uniform sampler2D s_cc3Texture2Ds[1];

// varyings
VARYING_IN vec2 v_texCoord;

void main() {
    vec4 textureColor = texture2D(s_cc3Texture2Ds[0], v_texCoord);
    gl_FragColor = textureColor;
}
