
#if defined(GL_ES)
    precision highp float;
#endif

uniform sampler2D s_cc3Texture2D;
uniform float u_brightness_threshold;

varying vec2 v_texCoord;

void main() {
    vec4 texel = texture2D(s_cc3Texture2D, v_texCoord);
    gl_FragColor = clamp((texel - vec4(u_brightness_threshold)) / (1.0 - u_brightness_threshold), 0.0, 1.0);
}
