
#if !defined(ENVIRONMENT_CONFIG_SH)
#define ENVIRONMENT_CONFIG_SH

uniform struct 
{
    vec3 LightTop;
    vec3 LightSide;
    vec3 LightBottom;
    vec3 FogColor;
    vec3 FogNearFarMax;
    vec2 WindDirection;
    vec2 SpecularGlossStrength;
    vec4 RegionDarkColor;
    vec3 WorldLightDirection;
    vec3 WorldAmbientColor;
    vec3 WorldDiffuseColor;
} EnvironmentConfig;

#endif
