#ifndef FOG_DISABLED
varying vec3 aV;
varying float showFog;

// World fog. Include this in the vertex/fragment shaders and call fog_receive to enable
void fog_receive(vec4 position_world) {
    vec3 F = vec3(0.0, 1.0, 0.0);
    vec3 translatedPosition = vec3(position_world.x, position_world.y + 100.0, position_world.z);
    float f_c = dot(u_cc3CameraPositionGlobal.xyz, F);
    vec3 V = u_cc3CameraPositionGlobal.xyz - translatedPosition.xyz;
    showFog = float(f_c > 0.0);
    aV = 0.04 * V;
}
#endif