

#if !defined(HDR_UTILITY_SHADER)
#define HDR_UTILITY_SHADER

////////////////////////////////////////////////////////////////////////////////////////////////////
    //      H D R   U T I L I T I E S      //
////////////////////////////////////////////////////////////////////////////////////////////////////

// Filmic tonemapping from
// http://filmicgames.com/archives/75
const float A = 0.15;
const float B = 0.50;
const float C = 0.10;
const float D = 0.20;
const float E = 0.02;
const float F = 0.30;

vec3 Uncharted2Tonemap(vec3 x)
{
    return ((x*(A*x+C*B)+D*E)/(x*(A*x+B)+D*F))-E/F;
}


float luminance(vec3 x)
{
    const vec3 W = vec3(0.2125, 0.7154, 0.0721);
    return dot(x, W);
}

#endif
