
#if !defined(INSTANCING_SH)
#define INSTANCING_SH

#include "framework/framework.sh"

int getInstanceID(VSIN vsin) {
    #if defined(INSTANCING_ENABLED)
        return vsin._instanceID;
    #else
        return 0;
    #endif
}

#if defined(INSTANCING_ENABLED)
    uniform int u_cc3VertexBoneCount; // NOTE: does not work with instancing, requires a new cocos uniform
#endif

int getBonesPerInstance() {
    #if defined(INSTANCING_ENABLED)
        return u_cc3VertexBoneCount;
    #else
        return 0;
    #endif
}

#endif

