local HAS_INIT = 'hasInitKey'
local WALL_ENTITY = 'wallEntity'
local LINE_ENTITY_TYPE_KEY = 'lineEntityTypeKey'

local INITIAL_OBJECTIVE_SPAWN_TIME = 450
local HAS_SPAWNED_OBEJCTIVE = 'hasSpawnedObjectiveKey'

objectiveMapOneSide_tickTrigger = function(entity)
    local hasInit = objc.get_local_value(entity, HAS_INIT)
    if hasInit == 0 then
        objc.spawn('gameRulesEntity', 1, 1)
        objc.spawn_at_point('slowNearbyUnitsEntity', 1, 1, -4000, 2000, 0, 0)
        objc.spawn_at_point('slowNearbyUnitsEntity', 1, 2, 4000, 2000, 0, 0)
        objc.set_local_value(entity, HAS_INIT, 1)
    end

    local hasSpawnedObjective = objc.get_local_value(entity, HAS_SPAWNED_OBEJCTIVE)
    if hasSpawnedObjective == 0 then
        local objectiveSpawnTime = objc.tick_timer(entity, 'initialObjectiveSpawnTimerKey', INITIAL_OBJECTIVE_SPAWN_TIME)
        if objectiveSpawnTime == 0 then
            local spawned1 = objc.spawn_at_point('IncomeLineEntityNeutral', 1, 1, 0, 2000, 1, 0)
            objc.set_local_value(spawned1[1], LINE_ENTITY_TYPE_KEY, 'unitSpawnObjectiveEntity')


            objc.set_local_value(entity, HAS_SPAWNED_OBEJCTIVE, 1)
        end
    end
end
