
#include "prefix.sh"

ATTRIBUTE vec4 a_cc3Position;
ATTRIBUTE vec2 a_cc3TexCoord0;

#ifdef USE_MODEL_MATRIX
    uniform mat4 u_cc3MatrixModel;
#endif

VARYING_OUT vec2 v_texCoord;

void main() {
    gl_Position = a_cc3Position;
    #ifdef USE_MODEL_MATRIX
        gl_Position = u_cc3MatrixModel * gl_Position;
    #endif
    v_texCoord = a_cc3TexCoord0;
}
