
#if defined(GL_ES)
    precision highp float;
#endif

uniform sampler2D s_cc3Texture2Ds[2];

varying vec2 v_texCoord;

void main() {
    vec4 texelDisplacement = texture2D(s_cc3Texture2Ds[1], v_texCoord);
    vec2 offset = mix(vec2(0, 0), texelDisplacement.xy * 2.0 - 1.0, texelDisplacement.z);
    vec4 texelColor = texture2D(s_cc3Texture2Ds[0], v_texCoord + offset * 0.05);
    gl_FragColor = texelColor;
}
