
#if defined(GL_ES)
    precision highp float;
#endif

attribute vec4 a_cc3Position;

uniform mat4 u_cc3MatrixModel;
uniform mat4 u_cc3MatrixView;
uniform mat4 u_cc3MatrixProj;

varying vec3 v_texCoord;

void main(void) {
    mat4 rotate = u_cc3MatrixView;
    rotate[3][0] = rotate[3][1] = rotate[3][2] = 0.0;
    gl_Position = u_cc3MatrixProj * rotate * a_cc3Position;
    v_texCoord = normalize(a_cc3Position.xyz);
}
