local HAS_INIT = 'hasInitKey'
local OWNER_ENTITY = 'ownerEntityKey'

AnnieWalkerProxy_tickTrigger = function(entity)
	local hasInit = objc.get_local_value(entity, HAS_INIT)
	if hasInit == 0 then
		objc.set_entity_value_for_key(entity, ENTITY_VALUE_KEY_MAX_VELOCITY, 0)
		objc.set_local_value(entity, HAS_INIT, 1)
	end

	local ownerEntity = objc.get_local_value(entity, OWNER_ENTITY)
	if ownerEntity ~= 0 then
		local ownerHealth = objc.get_entity_value_for_key(ownerEntity, ENTITY_VALUE_KEY_CURRENT_HEALTH)
		if ownerHealth <= 0 then
			objc.sacrifice_entity(entity)
		end
	else
		objc.sacrifice_entity(entity)
	end
end
