local TRIGGER_DISTANCE = 10
local IS_EXPLODING = 'isExplodingKey'
local DAMAGE_KEY = 'damageAmountKey'

--[[
update this to be not every tick
--]]

B_BallLightningCampaign_tickTrigger = function(entity)
    local damageAmount = 1500
    for _, enemy in pairs(objc.list_entities_in_radius(entity, 200, 1)) do
            if objc.is_ground_unit(enemy) and (objc.is_normal_unit(enemy) or objc.is_barricade(enemy) or objc.is_commander(enemy)) then
                objc.inflict_normal_damage(entity, enemy, damageAmount)
                objc.flash_entity_for_damage(enemy, 250)
                objc.set_targetable(entity)
                objc.spawn_at_entity_with_source_entity('seekerMissileImpactEntity', 1, enemy, entity)
                objc.set_entity_visibility(entity, false)
                objc.sacrifice_entity(entity)
                break
            end
    end
    for _, enemy in pairs(objc.list_entities_in_radius(entity, 400, 1)) do
            if objc.is_base(enemy) then
                objc.inflict_normal_damage(entity, enemy, damageAmount)
                objc.flash_entity_for_damage(enemy, 250)
                objc.set_targetable(entity)
                objc.spawn_at_entity_with_source_entity('seekerMissileImpactEntity', 1, enemy, entity)
                objc.set_entity_visibility(entity, false)
                objc.sacrifice_entity(entity)
                break
            end

    end

end
