local SPAWN_IDENTIFIER = 'B_SkyShark'
local X_OFFSET = 150
local Y_OFFSET = 150


B_FighterCarrier_deathTrigger = function(entity)
    local teamNumber = objc.get_team_number(entity)
    local xDir = 1
    if teamNumber == 2 then
        xDir = -1
    end
    local tier = objc.get_entity_value_for_key(entity, ENTITY_VALUE_KEY_TIER)
    if tier == 0 then
        tier = ''
    end
    local entityPos = objc.get_entity_position(entity)
	local spawnedUnits = {}
    local playerNumber = objc.get_player_number(entity)
    local topLeftSpawn = objc.spawn_at_point(SPAWN_IDENTIFIER .. tier, 1, playerNumber, entityPos[1] + X_OFFSET, entityPos[2] + Y_OFFSET, xDir, 0)
    local topRightSpawn = objc.spawn_at_point(SPAWN_IDENTIFIER .. tier, 1, playerNumber, entityPos[1] - X_OFFSET, entityPos[2] + Y_OFFSET, xDir, 0)

    table.insert(spawnedUnits, topLeftSpawn[1])
    table.insert(spawnedUnits, topRightSpawn[1])

	for _,unit in pairs(spawnedUnits) do
		objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_HOLD_POSITION_COUNT_FOR_SPAWNING, 0)
	end
end