local SPAWN_LOCATION = 0

BlackHole = function(sourceEntity)
	local teamNumber = objc.get_team_number(sourceEntity)
    local playerNumber = objc.get_player_number(sourceEntity)
	local sideModifierX = 1

	if teamNumber == 1 then
		sideModifierX = -1
	elseif teamNumber == 2 then
		--
	else
		objc.scripting_error('Invalid player number found: ' .. teamNumber)
	end

	objc.spawn_at_point('gravityCommanderAbility3EffectEntity', 1, playerNumber, SPAWN_LOCATION * sideModifierX, 0, 0, 0)
	objc.reveal_fog_duration(sourceEntity, 22000, 15)

	UnitAbility_activateTombstones(playerNumber, teamNumber)
end
