precision mediump float;

uniform sampler2D u_texture;
uniform sampler2D u_texture_background;

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

void main()
{
    vec4 foreground = texture2D(u_texture, v_texCoord);
    vec4 background = texture2D(u_texture_background, v_texCoord);
    vec3 result = mix(background.rgb, foreground.rgb, foreground.a);
    gl_FragColor = vec4(result, 1.0) * ceil(foreground.a);
}
