precision mediump float;

uniform sampler2D u_texture;
uniform sampler2D u_texture_low_res;

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

void main() {
    vec4 high_res = texture2D(u_texture, v_texCoord);
    vec4 low_res = texture2D(u_texture_low_res, v_texCoord);
    gl_FragColor = mix(high_res, low_res, 0.5);
}
