#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D u_texture;

void main()
{
    float gray = dot(texture2D(u_texture, v_texCoord).rgb, vec3(0.2126, 0.7152, 0.0722));
    float opacity = v_fragmentColor.a * texture2D(u_texture, v_texCoord).a;
    gl_FragColor = vec4(vec3(gray), opacity);
}
