IllusoryArmy = function(sourceEntity)
   local playerNumber = objc.get_player_number(sourceEntity)
   local enemyNumber = objc.get_enemy_team_number(sourceEntity)
   local listOfEnemies = objc.list_entities(enemyNumber)

   local newEntities = {}

   for _, enemy in pairs(listOfEnemies) do
      if objc.is_normal_unit(enemy) then
         local spawnedEntities = objc.spawn(objc.get_entity_value(enemy, 'identityComponent.identifier'), 1, playerNumber)
         for _, entity in pairs(spawnedEntities) do
            table.insert(newEntities, entity)
         end
      end
   end

   for _, entity in pairs(newEntities) do
      objc.set_entity_value(ally, 'healthDefenseComponent.health', 1)
      objc.set_entity_value(ally, 'healthDefenseComponent.maxHealth', 1)
      --objc.set_combat_text(ally, 'Illusion')
   end
end
