local REST_PERIOD = 2
local FOLLOW_TARGET = 'followTargetKey'
local MOVEMENT_DICT = 'movementDictKey'

LevelerIndicatorEntity_tickTrigger = function(entity)
	
	objc.set_targetable(entity, false)

	local pause = objc.get_local_value(entity, 'pauseKey')
	if pause >= REST_PERIOD then
		local hasInit = objc.get_local_value(entity, 'hasInitKey')
			if hasInit == 0 then
			objc.play_vfx(entity, 'proj_B_confronterTank.lvl', NODE_STATUS)
			objc.set_entity_value(entity, 'velocityComponent.primaryMaxVelocity', 0)

			objc.set_local_value(entity, 'hasInitKey', 1)
		end

		local followTarget = objc.get_local_value(entity, FOLLOW_TARGET)
		if followTarget ~= 0 then
			local oldDict = objc.move_entity_to_entity_with_motion(entity, followTarget, MOTION_STATE_WALK, 650)
			objc.set_local_value(entity, MOVEMENT_DICT, oldDict)
		end
	else
		objc.set_local_value(entity, 'pauseKey', pause + 1)
	end
end





