Pacify = function(sourceEntity)
   local teamNumber = objc.get_team_number(sourceEntity)
   local enemyNumber = objc.get_enemy_team_number(sourceEntity)

   for _, enemy in pairs(objc.list_entities_in_radius(sourceEntity, 50000, enemyNumber)) do
      if objc.is_normal_unit(enemy) and objc.get_local_value(enemy, IS_DEBUFF_IMMUNE_KEY) == 0 then
         local currentDamage = objc.get_entity_value(enemy, 'aiComponent.damageComponent.attackDamage')
         local damageBonus = objc.get_entity_value_for_key(enemy, ENTITY_VALUE_KEY_DAMAGE_BUFF)
         currentDamage = currentDamage * (-1)
         objc.set_entity_value_for_key(enemy, ENTITY_VALUE_KEY_DAMAGE_BUFF, currentDamage + 1)
      end
   end


end
