local CUTOFF_RANGE = 600
local STUN_TIME = 1000

R_FallingWall_onDamageTrigger = function(damage, targetEntity, sourceEntity)
	local sourceUnit = objc.get_entity_value_for_key(sourceEntity, ENTITY_VALUE_KEY_SOURCE_ENTITY)
	local enemyRange = objc.get_entity_value_for_key(sourceUnit, ENTITY_VALUE_KEY_ATTACK_RANGE)

	if enemyRange <= CUTOFF_RANGE and (objc.is_normal_unit(sourceUnit) or objc.is_commander(sourceUnit)) then
		objc.stun_entity(sourceUnit, STUN_TIME)
	end

	return damage
end

R_FallingWall_damageTrigger = function(damage, targetEntity, sourceEntity)
    if objc.is_normal_unit(targetEntity) or objc.is_commander(targetEntity) then
        objc.stun_entity(targetEntity, STUN_TIME)
    end
	return damage
end