local SUPER_PROJECTILE = 'proj_R_OverchargerSuper.lvl'
local REGULAR_PROJECTILE = 'proj_R_OverchargerLaser.lvl'
local SUPER_IMPACT = 'imp_R_Overcharger_Super.part'
local REGULAR_IMPACT = 'imp_R_Overcharger.part'
local NEXT_ATTACK_IS_DOUBLE_DAMAGE = 'overchargerDamageKey'


R_Overcharger_ground_bullet_spawnTrigger = function(entity)
    local bulletSource = objc.get_entity_value_for_key(entity, ENTITY_VALUE_KEY_SOURCE_ENTITY)
    if objc.get_local_value(bulletSource, NEXT_ATTACK_IS_DOUBLE_DAMAGE) == 1 then
        objc.update_asset_name(entity, SUPER_PROJECTILE)
        objc.set_entity_value_for_key(entity, ENTITY_VALUE_KEY_IMPACT_PARTICLE_NAME, SUPER_IMPACT)
    else
        objc.update_asset_name(entity, REGULAR_PROJECTILE)
        objc.set_entity_value_for_key(entity, ENTITY_VALUE_KEY_IMPACT_PARTICLE_NAME, REGULAR_IMPACT)
    end
end