local COST_PER_ALLY_PLAYED = 1

R_WrenchMech_cardTickTrigger = function(battleAction)
    --This is to skip the base and barricades being spawned
    local currentRound = objc.get_current_round_number()
    if currentRound <= 2 then
        return
    end

    local isInHand = objc.is_battle_action_in_hand(battleAction)
    if isInHand == 1 then
        local playerNumber = objc.get_player_number_for_battle_action(battleAction)
        local actionsAppliedThisRound = objc.get_all_battle_action_applied_this_round()
        local numFriendlyActions = 0
        for _,action in pairs(actionsAppliedThisRound) do
            local thisPlayerNumber = objc.get_player_number_for_battle_action(action)
            if playerNumber == thisPlayerNumber and objc.is_battle_action_from_hand(action) then
                numFriendlyActions = numFriendlyActions + 1
            end
        end
        if numFriendlyActions > 0 then
            local oldCost = objc.get_currency_cost_of_battle_action(battleAction)
            local newCost = oldCost - numFriendlyActions
            if newCost < 0 then
                newCost = 0
            end
            objc.set_currency_cost_of_battle_action(battleAction, newCost)
        end
    end
end