
#if !defined(DOF_SHADER)
#define DOF_SHADER

#include "projection_utility.sh"

uniform struct
{
    vec4 _dofParams;                // (A, B, cocMaxRadius)
    vec2 _reciprocalInputSize;
} DOFUniforms;

uniform mediump sampler2D DOFSamplingPattern;

float depthValueToCircleOfConfusion(float depthSample) {
    float linear = depthSampleToWorldSpaceDepth(depthSample);
    return clamp((linear * DOFUniforms._dofParams.x) + DOFUniforms._dofParams.y, 0.0, 1.0);
}

#endif
