local HAS_INIT = 'hasInit'

local CHECK_TICK = 10
local CHECK_KEY = 'checkKey'

W1CampaignDreadnaught_tickTrigger = function(entity)
    local HasInit = objc.get_local_value(entity, HAS_INIT)
    if HasInit == 0 then
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team2Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'B_Dreadnaught' then
                local startingHP = objc.divide_with_ceiling(objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH), 2)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, startingHP)
                local damageDebuff = objc.divide_with_ceiling(objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_ATTACK_DAMAGE), 2)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_DAMAGE_BUFF, -1 * damageDebuff)
                objc.set_local_value(entity, HAS_INIT, 1)
            end
        end
    end
end