local HAS_INIT = 'hasInit'

local CHECK_TICK = 10
local CHECK_KEY = "checkKey"

local UNIT_LUA = 'W1CampaignEternalWarrior.lua'

W1CampaignEternalWarrior_tickTrigger = function(entity)
    local HasInit = objc.get_local_value(entity, HAS_INIT)
    if HasInit == 0 then
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team2Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'W_EternalWarrior' then
                objc.set_entity_scale_percentage(unit, 125)
                objc.add_trigger(unit, TRIGGER_NAME_DAMAGE_TRIGGER, UNIT_LUA, 'W1CampaignEternalWarrior_WeakerAttackTrigger')
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_ARMOR, 20)
                objc.set_local_value(entity, HAS_INIT, 1)
            end
        end
    end
end

W1CampaignEternalWarrior_WeakerAttackTrigger = function (damage, targetEntity, sourceEntity)
    return objc.divide_with_ceiling(damage, 2)
end