local HAS_INIT = 'hasInit'

local CHECK_TICK = 10
local CHECK_KEY = "checkKey"

local UNIT_LUA = 'W2CampaignConfronterTank.lua'

local NEGATE_LIMIT = 99999

W2CampaignConfronterTank_tickTrigger = function(entity)
    local HasInit = objc.get_local_value(entity, HAS_INIT)
    if HasInit == 0 then
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team2Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'B_ConfronterTank9' then
                objc.set_entity_scale_percentage(unit, 180)
                objc.set_entity_display_name(unit, 'Trigger')
                objc.set_entity_unit_description(unit, 'A LARGE CONFRONTER TANK YOU CANNOT DEFEAT')
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_VELOCITY, 0)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_ATTACK_RANGE, 5000)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_DAMAGE_BUFF, objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_ATTACK_DAMAGE))
                objc.add_trigger(unit, TRIGGER_NAME_ON_DAMAGE_TRIGGER, UNIT_LUA, 'InvincibleConfronterTank_onDamageTrigger')
                objc.set_local_value(entity, HAS_INIT, 1)
            end
        end
    end
end

InvincibleConfronterTank_onDamageTrigger = function(damage, targetEntity, sourceEntity)
    return UnitAbility_negate(targetEntity, damage, NEGATE_LIMIT)
end
