local HAS_INIT = 'hasInit'

local CHECK_TICK = 10
local CHECK_KEY = 'checkKey'

W3CampaignGeneric_tickTrigger = function(entity)
    local HasInit = objc.get_local_value(entity, HAS_INIT)
    if HasInit == 0 then
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team2Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'W_BlastWizard11' then
                objc.set_entity_scale_percentage(unit, 160)
                local newMaxHP = 3 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                objc.set_local_value(entity, HAS_INIT, 1)
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'B_ShieldTrooper9' then
                objc.set_entity_scale_percentage(unit, 200)
                local newMaxHP = 2 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_DAMAGE_BUFF, objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_ATTACK_DAMAGE))
                objc.set_local_value(entity, HAS_INIT, 1)
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'W_Eagle11' then
                objc.set_entity_scale_percentage(unit, 150)
                local newMaxHP = 2 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                objc.set_local_value(entity, HAS_INIT, 1)
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'R_Dragonfly7' then
                objc.set_entity_scale_percentage(unit, 150)
                local newMaxHP = 2 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                objc.set_local_value(entity, HAS_INIT, 1)
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'B_RocketTrooper11' then
                objc.set_entity_scale_percentage(unit, 150)
                local newMaxHP = 3 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                objc.set_local_value(entity, HAS_INIT, 1)
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'B_AATank11' then
                objc.set_entity_scale_percentage(unit, 170)
                local newMaxHP = 2 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                objc.set_local_value(entity, HAS_INIT, 1)
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'W_ScoutFlier9' then
                objc.set_entity_scale_percentage(unit, 180)
                local newMaxHP = 3 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                objc.set_local_value(entity, HAS_INIT, 1)
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'R_Jackal4' then
                objc.set_entity_scale_percentage(unit, 160)
                local newMaxHP = 2 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                objc.set_local_value(entity, HAS_INIT, 1)
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'W_ShieldedUnit9' then
                objc.set_entity_scale_percentage(unit, 180)
                objc.set_local_value(entity, HAS_INIT, 1)
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'R_CannonScooter4' then
                objc.set_entity_scale_percentage(unit, 200)
                objc.set_local_value(entity, HAS_INIT, 1)
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'R_Cartillery7' then
                objc.set_entity_scale_percentage(unit, 200)
                objc.set_local_value(entity, HAS_INIT, 1)
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'R_Junker7' then
                objc.set_entity_scale_percentage(unit, 200)
                local newMaxHP = 2 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                objc.set_local_value(entity, HAS_INIT, 1)
            end
        end
    end
end
