local HAS_INIT = 'hotelInit'

local CHECK_TICK = 3
local CHECK_KEY = 'checkKey'

local RAGE_LUA = 'R_Rage.lua'
local CAMPAIGN_INFINITE_DURATION_KEY = 'campaignInfiniteDurationKey'

W3CampaignHotelBoss_tickTrigger = function(entity)
    local checkTimer = objc.tick_timer(entity, CHECK_KEY, CHECK_TICK)
    if checkTimer == 0 then
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team2Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'R_Overcharger' then
                if objc.get_local_value(unit, HAS_INIT) == 0 then
                    objc.set_entity_scale_percentage(unit, 110)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_VELOCITY, 0)
                    objc.set_local_value(unit, HAS_INIT, 1)
                end
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'R_Cartillery' then
                if objc.get_local_value(unit, HAS_INIT) == 0 then
                    objc.set_entity_scale_percentage(unit, 130)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_VELOCITY, 0)
                    objc.set_local_value(unit, HAS_INIT, 1)
                end
            elseif objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'R_Rage' then
                if objc.get_local_value(unit, HAS_INIT) == 0 then
                    objc.set_local_value(unit, CAMPAIGN_INFINITE_DURATION_KEY, 1)
                    objc.set_local_value(unit, HAS_INIT, 1)
                end
            end
        end
    end
end