local GAME_HAS_INIT = 'gameHasInit'
local UNIT_HAS_SPAWMED = 'unitHasSpawned'

local LUA_ID = 'W3CampaignPsychoSam.lua'

local HAS_FLOWFIELD_DISABLED = 0

W3CampaignPsychoSam_tickTrigger = function(entity)
    if not HAS_FLOW_FIELD_DISABLED then
        objc.set_flow_field_enabled_for_entity(entity, 0)
        HAS_FLOWFIELD_DISABLED = 1
    end
    local waitTime = objc.get_elapsed_game_time_in_milliseconds()
    if waitTime > 500 then
        local HasInit = objc.get_local_value(entity, GAME_HAS_INIT)
        if HasInit == 0 then
            local team2Entities = objc.list_entities(2)
            for _,unit in pairs(team2Entities) do
                if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'R_Pyro9' then
                    objc.set_entity_scale_percentage(unit, 150)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_ATTACK_RANGE, 3000)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_DAMAGE_BUFF, -15)
                    local newMaxHP = 3 * objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, newMaxHP)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, newMaxHP)
                    objc.set_entity_display_name(unit, 'Psycho Sam')
                    objc.set_entity_unit_description(unit, 'HAHAHAHAHAHAHAHA!!')
                    objc.set_local_value(entity, GAME_HAS_INIT, 1)
                end
            end
        elseif HasInit == 1 then
            local team1Entities = objc.list_entities(1)
            for _,unit in pairs(team1Entities) do
                if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_IDENTIFIER) == 'Dummy_Ground' then
                    objc.set_entity_scale_percentage(unit, 1)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, 60)
                    objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, 60)

                end
            end
        end
    end
end
