local PULL_RADIUS = 2000

W_BlackHoler_deathTrigger = function(entity)

	local teamNumber = objc.get_team_number(entity)
	--local playerNumber = objc.get_player_number(entity)
	--objc.spawn_at_point('BlackHolerBlackHole', 1, playerNumber, enemyPosition[1], enemyPosition[2], 0, 0)

	local enemyNumber = objc.get_enemy_team_number(entity)
	local entityPosition = objc.get_entity_position(entity)
	local enemiesToPull = objc.list_entities_in_radius(entity, PULL_RADIUS, enemyNumber)
	local xOff = 1
	if teamNumber == 2 then
		xOff = -1
	end
	for _, enemy in pairs(enemiesToPull) do
		if objc.is_normal_unit(enemy) and objc.is_ground_unit(enemy) then
			objc.teleport_entity(enemy, entityPosition[1] + (300 * xOff), entityPosition[2])
		end
	end

   return damage
end
