W_HealingTank_onAttackTrigger = function(sourceEntity, targetEntity)
	objc.add_trigger(targetEntity, TRIGGER_NAME_ON_DAMAGE_TRIGGER, 'W_HealingTank.lua', 'W_HealingTank_healWhenDamaged')
end

W_HealingTank_healWhenDamaged = function(damage, targetEntity, sourceEntity)
	local sourceTank = objc.get_entity_value_for_key(sourceEntity, ENTITY_VALUE_KEY_SOURCE_ENTITY)
	local currentTankHealth = objc.get_entity_value_for_key(sourceTank, ENTITY_VALUE_KEY_CURRENT_HEALTH)
	local maxHealth = objc.get_entity_value_for_key(sourceTank, ENTITY_VALUE_KEY_MAX_HEALTH)
	local healthToSet = currentTankHealth + damage
	if healthToSet > maxHealth then
		healthToSet = maxHealth
	end
	objc.set_entity_value_for_key(sourceTank, ENTITY_VALUE_KEY_CURRENT_HEALTH, healthToSet)
	objc.remove_trigger(targetEntity, TRIGGER_NAME_ON_DAMAGE_TRIGGER, 'W_HealingTank_healWhenDamaged')
	return damage
end