local DAMAGE_MODIFIER = 3
local CUTOFF_SPEED = 70
--[[
This DamageTrigger gives the B_Rail_Dog the TrueDamage UnitAbility.
--]]
W_Hunter_damageTrigger = function(damage, targetEntity, sourceEntity)
    local targetSpeed = objc.get_entity_value_for_key(targetEntity, ENTITY_VALUE_KEY_MAX_VELOCITY)
	if targetSpeed < CUTOFF_SPEED or objc.is_entity_immobilized(targetEntity) then
		return damage * DAMAGE_MODIFIER
	else
   		return damage
   	end
end
