local SHIELD_VFX = 'impactShield.lvl'
local ARMOR_AMOUNT_KEY = 'armorAmountKey'

W_ShieldedUnit_onDamageTrigger = function(damage, targetEntity, sourceEntity)
    local armorAmount = objc.get_entity_value_for_key(targetEntity, ENTITY_VALUE_KEY_ARMOR)
    local flashCutoff = objc.divide_with_floor(armorAmount * 10, 4)
    local originalDamage = damage + armorAmount
    if originalDamage >= flashCutoff then
        objc.target_entity_should_skip_received_impact_VFX_for_source_entity(targetEntity, sourceEntity)
    end
    return damage
end