local DAMAGE_AMOUNT_PROP = 4
local TARGET_ENTITY = 'targetEntityKey'
local ASSOCIATED_BOSS_KEY = 'associatedBossKey'

aliciaAttackExplosionEntity_tickTrigger = function(entity)
   local targetEntity = objc.get_local_value(entity, TARGET_ENTITY)
   local associatedBoss = objc.get_local_value(entity, ASSOCIATED_BOSS_KEY)
   if targetEntity ~= 0 and associatedBoss ~= 0 then
        local targetMaxHealth = objc.get_entity_value_for_key(targetEntity, ENTITY_VALUE_KEY_MAX_HEALTH)
        local damageToDo = objc.divide_with_floor(targetMaxHealth, DAMAGE_AMOUNT_PROP)
        objc.inflict_normal_damage(associatedBoss, targetEntity, damageToDo)
        objc.flash_entity_for_damage(targetEntity, 250)
   end
   objc.sacrifice_entity(entity)
end
