local TO_DAMAGE_ENTITY_KEY = 'toDamageEntityKey'
local DAMAGE_TO_DO = 'airshipDamageToDo'

armoredAirshipDamageEntity_tickTrigger = function(entity)
	local target = objc.get_local_value(entity, TO_DAMAGE_ENTITY_KEY)
	local damage = objc.get_local_value(entity, DAMAGE_TO_DO)
	if target ~= 0 and damage ~= 0 then
		objc.inflict_normal_damage(entity, target, damage)
		objc.flash_entity_for_damage(target, 250)
	end
	objc.kill_entity(entity)
end
