
#if defined(GL_ES)
    precision highp float;
#endif

#define MAX_TEXTURES 2

uniform sampler2D s_cc3Texture2Ds[MAX_TEXTURES];

varying vec2 v_texCoord;

void main() {
    vec4 dst = texture2D(s_cc3Texture2Ds[0], v_texCoord); // rendered scene
    vec4 src = texture2D(s_cc3Texture2Ds[1], v_texCoord); // glowmap
    gl_FragColor = min(dst + src, 1.0);
}
