local IMMOBILIZE_DURATION = 150

gravityCommanderAbility1ScriptEntity_tickTrigger = function(entity)
   local enemyNumber = objc.get_enemy_team_number(entity)
   local enemyList = objc.list_entities(enemyNumber)
   
   for _, enemy in pairs(enemyList) do
      if objc.is_normal_unit(enemy) and objc.is_ground_unit(enemy) and objc.get_local_value(enemy, IS_DEBUFF_IMMUNE_KEY) == 0 then
         objc.apply_buff(entity, 'immobilize', IMMOBILIZE_DURATION, enemy)
      end
   end

   objc.kill_entity(entity)

   return 0
end

gravityCommanderAbility1ScriptEntity_immobilize = function(entity, component)
   objc.buff_property(entity, component, 'velocityComponent.primaryMaxVelocity', nil, -100, 1)
end
