healZone_tickTrigger = function(entity)
   key = 'tickTime' .. objc.get_entity_value(entity, 'description')
   totalTicksKey = 'totalTicks' .. objc.get_entity_value(entity, 'description')
   tickTimer = objc.get_global_value(key)
   tickTimer = tickTimer - 1
   totalTicks = objc.get_global_value(totalTicksKey)
   totalTicks = totalTicks + 1
   local teamNumber = objc.get_team_number(entity)
   local enemyNumber = objc.get_enemy_team_number(entity)
   healAmount = 10


   if tickTimer <= 0 then
      tickTimer = 5
      for _, ally in pairs(objc.list_entities_in_radius(entity, 500, teamNumber)) do
         if objc.is_normal_unit(ally) then
            currentHealth = objc.get_entity_value(ally, 'healthDefenseComponent.health')
            maxHealth = objc.get_entity_value(ally, 'healthDefenseComponent.maxHealth')
            if currentHealth < maxHealth and currentHealth + healAmount > maxHealth then
               objc.set_entity_value(ally, 'healthDefenseComponent.health', maxHealth)
               --objc.set_combat_text(ally, 'heal')
            elseif currentHealth < maxHealth then
               objc.set_entity_value(ally, 'healthDefenseComponent.health', currentHealth + healAmount)
               --objc.set_combat_text(ally, 'heal')
            end
         end
      end
      remainingHealth = objc.get_entity_value(entity, 'healthDefenseComponent.health')
      objc.set_entity_value(entity, 'healthDefenseComponent.health', remainingHealth - 2)
      objc.set_global_value(totalTicksKey, totalTicks)
   end

   if totalTicks >= 40 then
      objc.kill_entity(entity)
   end
   objc.set_global_value(key, tickTimer)
   return 0
end
