hopHopUnit_tickTrigger = function(entity)
   local explosionTarget = entity
   local allEnemies = objc.list_entities(enemyNumber)

   if objc.get_local_value(entity, 'isDetonating') == 0 then
         local mostCommonEnemy = hophopUnit_findMostCommonUnit(entity, allEnemies)
         if mostCommonEnemy ~= 'empty' then
            local closestEnemy = entity
            local closestEnemyDistance = 99999999999

            for _, enemy in pairs(allEnemies) do
               if objc.get_entity_value(enemy, 'identityComponent.identifier') == mostCommonEnemyID then
                  objc.stun_entity(enemy, 5000000)
                  distance = objc.quick_unit_distance_square(entity, enemy)
                  if distance < closestEnemyDistance then
                     closestEnemy = enemy
                     closestEnemyDistance = distance
                  end
               end
            end

            local teleportTargetPosition = objc.get_entity_position(closestEnemy)
            objc.teleport_entity(entity, teleportTargetPosition[1], teleportTargetPosition[2])
            mostCommonEnemyID = objc.get_entity_value(mostCommonEnemy, 'identityComponent.identifier')
            objc.set_local_value(entity, 'isDetonating', 1)
            --objc.set_combat_text(entity, 'DETONATING')
         end
   elseif objc.get_local_value(entity, 'isDetonating') == 1 then
      local detonationTimer = objc.tick_timer(entity,('detonationTimer' .. objc.get_entity_value(entity, 'description')), 30)
      if detonationTimer <= 0 then
         for _, enemy in pairs(allEnemies) do
            if objc.get_entity_value(enemy, 'identityComponent.identifier') == mostCommonEnemyID then
               objc.kill_entity(enemy)
            end
         end
         objc.kill_entity(entity)
      end
   end

   return 0
end



hopHopUnit_onDamageTrigger = function(damage, targetEntity, sourceEntity)
   return 0
end


hophopUnit_findMostCommonUnit = function(entity, listOfEnemies)
   local enemyNumber = objc.get_enemy_team_number(entity)
   local mostCommonUnit = 'empty'
   local mostCommonUnitCount = 0

   for _, enemy in pairs(listOfEnemies) do
      if objc.is_normal_unit(enemy) then
         local currentUnitCount = objc.get_local_value(entity, objc.get_entity_value(enemy, 'identityComponent.identifier'))
         currentUnitCount = currentUnitCount + 1
         objc.set_local_value(entity, objc.get_entity_value(enemy, 'identityComponent.identifier'), currentUnitCount)
         if currentUnitCount > mostCommonUnitCount then
            mostCommonUnit = enemy
            mostCommonUnitCount = currentUnitCount
         end
      end
   end

   return mostCommonUnit
end
