local STANDIN_ENTITY_IDENTIFIER = 'W_SumoCommanderStandin'
local STANDIN_ENTITY_KEY = 'SumoStandinEntityKey'
local Y_OFFSET = -4750
local TARGET_X_KEY = 'targetXKey'
local TARGET_Y_KEY = 'targetYKey'
local TIMING_ENTITY_IDENTIFIER = 'knockbackSumoTimingEntity'
local SUMO_ANIMATION_STATE_IDLE = 'W_SumoCommander_Battle_Idle_01'
local SUMO_ABILITY_INTRO_ANIMATION = 'W_SumoCommander_Battle_Ability_Intro_01'

knockbackTargeted = function(sourceEntity, targetPositionX, targetPositionY)
	local teamNumber = objc.get_team_number(sourceEntity)
    objc.play_commander_override_animation(teamNumber, SUMO_ABILITY_INTRO_ANIMATION)
    local playerNumber = objc.get_player_number(sourceEntity)

    local standinEntity = objc.spawn_at_point(STANDIN_ENTITY_IDENTIFIER, 1, playerNumber, targetPositionX, targetPositionY + Y_OFFSET, 0, 0)
    local timingEntity = objc.spawn_at_point(TIMING_ENTITY_IDENTIFIER, 1, playerNumber, targetPositionX, targetPositionY, 0, 0)
    objc.set_local_value(timingEntity[1], STANDIN_ENTITY_KEY, standinEntity[1])
    objc.set_local_value(timingEntity[1], TARGET_X_KEY, targetPositionX)
    objc.set_local_value(timingEntity[1], TARGET_Y_KEY, targetPositionY)
end
