
#if !defined(PREFIX_TOW_SHADER)
#define PREFIX_TOW_SHADER

#if defined(GL_EXT_shader_texture_lod)
    #extension GL_EXT_shader_texture_lod : enable
#endif

#if __VERSION__ >= 300
    #define ATTRIBUTE in
    #define VARYING_IN in
    #define VARYING_OUT out
    #define texture2D texture
#else
    #define ATTRIBUTE attribute
    #define VARYING_IN varying
    #define VARYING_OUT varying
#endif

#define INSTANCING_HARD_DISABLE

#define BORDER_METHOD_NONE 0
#define BORDER_METHOD_PIXEL_BASED_ALPHA_CHANNEL 1
#define BORDER_METHOD_PIXEL_BASED_MRT 2

#endif
