#if defined(GL_ES)
    precision highp float;
#endif

uniform sampler2D s_cc3Texture2Ds[1];
uniform vec4 u_cc3MaterialDiffuseColor;

varying vec2 v_texCoord;

void main() {
    vec4 textureColor = texture2D(s_cc3Texture2Ds[0], v_texCoord);
    vec4 diffuseColor = u_cc3MaterialDiffuseColor * textureColor;
    gl_FragColor = diffuseColor;
}
