steroidsUnit_tickTrigger = function(entity)
   teamNumber = objc.get_team_number(entity)

   for _, ally in pairs(objc.list_entities_in_radius(entity, 1000, teamNumber)) do
      if objc.is_normal_unit(ally) then
         --triple their health
         maxHealth = objc.get_entity_value(ally, 'healthDefenseComponent.maxHealth')
         currentHealth = objc.get_entity_value(ally, 'healthDefenseComponent.health')
         objc.set_entity_value(ally, 'healthDefenseComponent.maxHealth', maxHealth * 3)
         objc.set_entity_value(ally, 'healthDefenseComponent.health', currentHealth * 3)

         --triple their damage
         local damageBonus = objc.get_entity_value_for_key(ally, ENTITY_VALUE_KEY_DAMAGE_BUFF)
         local currentDamage = objc.get_entity_value(ally, 'aiComponent.damageComponent.attackDamage')
         objc.set_entity_value_for_key(ally, ENTITY_VALUE_KEY_DAMAGE_BUFF, (damageBonus * 3) + (currentDamage * 3))
      end
   end

   objc.inflict_direct_damage(entity, entity, 999)

   return 0
end
