#define SUPPORT_GLSL300
#include "prefix.sh"

#undef VS_IN_S_POSITION
#undef VS_IN_S_TEXCOORD
#undef VS_OUT_S_TEXCOORD
#undef VS_IN_S_COLOR
#undef VS_OUT_S_COLOR
#define VS_IN_S_POSITION 1
#define VS_IN_S_TEXCOORD 1
#define VS_OUT_S_TEXCOORD 1
#define VS_IN_S_COLOR 1
#define VS_OUT_S_COLOR 1
#include "framework/framework.sh"

uniform vec2 TrailUniforms_uvScrollSpeed;
uniform float TrailUniforms_time;

void vsMain(out VSOUT vsout, VSIN vsin)
{
    vsout._position = vec4(getPosition(vsin), 1.0);

    vec2 texCoord = getTexCoord(vsin, 0) + TrailUniforms_uvScrollSpeed * TrailUniforms_time;
    setTexCoord(vsout, 0, texCoord);

    setColor(vsout, 0, getColor(vsin, 0));
}

#include "framework/glsles/framework_glsles.vert"
