local HAS_INIT = 'hasInit'
local BARRICADE_INIT = 'barricadeInit'

local UNIT_LUA = 'tutorial1.lua'

tutorial1_tickTrigger = function(entity)
    local barricadeInit = objc.get_local_value(entity, BARRICADE_INIT)
    if barricadeInit == 0 then
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team2Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'R_Barricade' then
                objc.set_local_value(entity, BARRICADE_INIT, 1)
            end
        end
    elseif barricadeInit == 1 then
        local team2Entities = objc.list_entities(2)
        for _,unit in pairs(team2Entities) do
            if objc.get_entity_value_for_key(unit, ENTITY_VALUE_KEY_BASE_TIER_IDENTIFIER) == 'R_Barricade' then
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_MAX_HEALTH, 2000)
                objc.set_entity_value_for_key(unit, ENTITY_VALUE_KEY_CURRENT_HEALTH, 2000)
            end
        end
        objc.set_local_value(entity, BARRICADE_INIT, 2)
    end
end
