local TELEGRAPH_TIMER_KEY = 'telegraphTimerKey'
local TELEGRAPH_TIME = 1

local EXPLOSION_ENTITY = 'tutorialFireEntity'

tutorialFireTelegraphEntity_tickTrigger = function(entity)
   local telegraphTimer = objc.tick_timer(entity, TELEGRAPH_TIMER_KEY, TELEGRAPH_TIME)
   if telegraphTimer == 0 then
      local xPos = objc.get_entity_value_for_key(entity, ENTITY_VALUE_KEY_POSITION_X)
      local yPos = objc.get_entity_value_for_key(entity, ENTITY_VALUE_KEY_POSITION_Y)
      objc.spawn_at_point(EXPLOSION_ENTITY, 1, 2, xPos, yPos, 0, 0)
   end
end