local HAS_INIT = 'hasInit'

twoPlayerCampaignIncome_tickTrigger = function(entity)
    local HasInit = objc.get_local_value(entity, HAS_INIT)
    if HasInit == 0 then
        local is2vE = 0
        local playerNumbers = objc.get_player_numbers_for_team_number(1)
        for _, number in pairs(playerNumbers) do
            if number > 2 then
                is2vE = 1
            end
        end

        local incomeToSet = 700
        if is2vE == 1 then
            --0.5 crystal/s in 2vE
            objc.set_income_generation_frequency_in_milliseconds(1, incomeToSet)
            objc.set_income_generation_frequency_in_milliseconds(3, incomeToSet)
        end


        objc.set_local_value(entity, HAS_INIT, 1)
    end
end